resource "nomad_job" "mysql-server" {
  hcl2 {
    enabled = true
  }

  jobspec = file("${path.module}/mysql.nomad")

  # Block until deployed as there are servics dependent on this one
  detach = false
}

resource "nomad_job" "postgres-server" {
  hcl2 {
    enabled = true
  }

  jobspec = file("${path.module}/postgres.nomad")

  # Block until deployed as there are servics dependent on this one
  detach = false
}

resource "nomad_job" "redis" {
  for_each = toset(["blocky", "authelia"])

  hcl2 {
    enabled = true
  }

  jobspec = templatefile("${path.module}/redis.nomad",
    {
      name = each.key,
    }
  )

  # Block until deployed as there are servics dependent on this one
  detach = false
}

resource "nomad_job" "rediscommander" {
  hcl2 {
    enabled = true
  }

  jobspec = file("${path.module}/rediscommander.nomad")
}
