job "sabnzbd" {
  schedule = "@daily"

  config {
    repo = "rclone::ftp,env_auth:/nomad/sabnzbd"
    passphrase = env("BACKUP_PASSPHRASE")
  }

  backup {
    paths = ["/data/media-write/Downloads/sabnzbd"]

    backup_opts {
      Host = "nomad"
    }

    restore_opts {
      Host = ["nomad"]
      # Because path is absolute
      Target = "/"
    }
  }

  forget {
    KeepLast = 2
    KeepHourly = 24
    KeepDaily = 30
    KeepWeekly = 8
    KeepMonthly = 6
    KeepYearly = 2
    Prune = true
  }
}
