module "lidarr" {
  source = "./service"

  name  = "lidarr"
  image = "linuxserver/lidarr"

  ingress      = true
  service_port = 8686

  use_postgres = true
  postgres_bootstrap = {
    enabled = true
    databases = [
      "lidarr",
      "lidarr-logs",
    ]
  }

  env = {
    PGID = 100
    PUID = 1001
    TZ   = "America/Los_Angeles"
  }

  host_volumes = [
    {
      name      = "lidarr-config"
      dest      = "/config"
      read_only = false
    },
    {
      name      = "media-write"
      dest      = "/media"
      read_only = false
    },
  ]

  resources = {
    cpu    = 500
    memory = 1500
  }

  stunnel_resources = {
    cpu    = 100
    memory = 100
  }
}
